package kernel.process.bin;

import kernel.process.Process;
import kernel.process.ProcessManager;

/**
 * Class for printout of running process
 *
 */
public class Ps extends Process {

	@Override
	public void run() {
		String text = "";

		String format = "%-12s%-12s%s\n";
		String format2 = "%-12s%-18s%s\n";

		text += String.format(format, "PID", "PPID", "command");
		for (String string : ProcessManager.getProcessManager().getListProcess()) {
			String[] split = string.split(";");
			text += String.format(format2, split[0], split[1], split[2]);
		}
		getOutput().write(text);
	}
}
