package kernel.process.sbin;

import kernel.process.Process;

/**
 * Class for login to os
 *
 */
public class Login extends Process {
	
	private boolean login = false;
	private String user;
	
	@Override
	public void run() {
		String userCommand =  "user> ";
		getOutput().write(userCommand);
		user = getInput().readLine();
		if (user.trim().equals("")) {
			login = false;
			getOutput().write("Failed login\n");
		} else {
			login = true;
		}
	}
	
	public boolean getLogin() {
		return login;
	}
	
}
