package kernel.relation;

import java.util.LinkedList;
import java.util.List;

/**
 * Class for create relation of user
 * 
 * @author 1Max11
 *
 */
public class Relation {	
	/**
	 * Working path
	 */
	private String path;
	/**
	 * History of terminal
	 */
	private List<String> history = new LinkedList<String>();
	/**
	 * Constructor for create instance
	 */
	public Relation() {
		history.add("");
	}
	/**
	 * Method for get history of terminal
	 * 
	 * @return history of terminal
	 */
	public List<String> getHistory() {
		return history;
	}
	/**
	 * Method for set history of terminal
	 * 
	 * @param history - history of terminal
	 */
	public void setHistory(List<String> history) {
		this.history = history;
	}
	/**
	 * Method for get working path
	 * 
	 * @return working path
	 */
	public String getPath() {
		return path;
	}
	/**
	 * Method for set working path
	 * 
	 * @param path - working path
	 */
	public void setPath(String path) {
		this.path = path;
	}	
}
