package kernel.service;

import java.io.IOException;
import java.io.OutputStream;

/**
 * Class for write to stream
 * 
 * @author 1Max11
 *
 */
public class Output {

	/**
	 * Output stream
	 */
	private OutputStream os;
	
	/**
	 * Constructor for create instance of Output
	 * 
	 * @param os OutputStream
	 */
	public Output(OutputStream os) {
		this.os = os;
	}
	
	/**
	 * Method for write of line to stream
	 * 
	 * @param string
	 */
	public void write(String string) {

		try {
			os.write(string.getBytes());
			os.flush();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
}
