package kernel;

import kernel.process.ProcessManager;
import kernel.process.sbin.Init;

/**
 * Class with method Main for run OS
 * 
 * @author 1Max11
 *
 */
public class Main  {
	/**
	 * Method for run OS
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		
		Init init = new Init();
		ProcessManager.getProcessManager().createProcess(init, null);
			
		try {
			init.join();
			ProcessManager.getProcessManager().closeProcess(init.getPID());
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
