package kernel.analyzer;

import java.util.List;

/**
 * Description: Interface for semantic analysis.
 * 
 * @author david.kosek
 * @date 13. 11. 2014 18:22:19
 * @version $Rev$
 */
public interface ISemanticAnalysis {

	/**
	 * Check all values from input and set into variables
	 * 
	 * @param aInput
	 */
	void setValuesAndCheckCommand(String[] aInput);

	/**
	 * Setting result list for later read all commands
	 * 
	 * @return list of commands
	 */
	List<InputParseObject> getResultInputList();

}
