package kernel.file;

/**
 * Description: Interface for output utility.
 * 
 * @author david.kosek
 * @date 2. 12. 2014 15:32:45
 * @version $Rev$
 */
public interface IOutputUtility {

	/**
	 * Close file
	 */
	void close();

	/**
	 * Write text to file
	 * 
	 * @param aText request text for write
	 */
	void write(String aText);

}
