package kernel.process.bin;

import java.io.File;
import java.io.IOException;

import kernel.analyzer.SchemaMetaDataCommand;
import kernel.process.Process;

/**
 * Class for change working file
 * 
 *
 */
public class Cd extends Process {
	
	@Override
	public void run() {
		String text = "";
		if (getParametsAndArguments().size() == 0) {
			text = "Nothing parametr";
		} else {
			if (getParametsAndArguments().get(0).equals("..")) {
				File file = new File(getRelation().getPath());
				String path = file.getAbsolutePath();
				path = path.substring(0, path.lastIndexOf("\\"));
				getRelation().setPath(path + File.separator);
				return;
			} else if (getParametsAndArguments().get(0).equals(".")){
				return;
			}else {
				File file;
				if (getParametsAndArguments().get(0).charAt(0) == SchemaMetaDataCommand.BASIC_SYMBOL.BACKSLASH.charAt(0)
						|| getParametsAndArguments().get(0).charAt(0) == SchemaMetaDataCommand.BASIC_SYMBOL.SLASH.charAt(0)) {
					file = new File(File.separatorChar+"");
				} else {
					file = new File(getRelation().getPath() + getParametsAndArguments().get(0));
				}
				if (file.isDirectory() == false) {
					text = "Directory does'n exist";
				} else {
					try {
						getRelation().setPath(file.getCanonicalPath() + File.separator);
					} catch (IOException e) {
						e.printStackTrace();
					}
					return;
				}
			}
		}
		
		text += "\n";
		getOutput().write(text);
	}
	
}
