package kernel.process.bin;

import java.io.File;

import kernel.file.FileManager;
import kernel.process.Process;

/**
 * The program create a new directory (directories)
 */
public class Mkdir extends Process {

	@Override
	public void run() {
		String text = "";
		String path = getRelation().getPath();
		String folder;
		FileManager fm = new FileManager();
		if (getParametsAndArguments().size() == 0) {
			text += "Missing name of dir.\n";
		}
		else {
			for (String p : getParametsAndArguments()) {
				folder = new File(p).isAbsolute() ? p : (path + p); //cestu vzdy prevedu na absolutni
				if(fm.createFolder(folder)){
					text += "Folder " + p + " was successful created.\n";
				}else {
					text += "Folder " + p + " wasn't created!\n";
				}
			}
		}

		getOutput().write(text);
	}
}
