package kernel.service;

import java.io.IOException;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;

/**
 * Class for create pipe
 * 
 * @author 1Max11
 *
 */
public class InputOutputPipe {
	
	private PipedInputStream pis;
	private PipedOutputStream pos;
	/**
	 * Constructor for create instance of InputOutputPipe
	 */
	public InputOutputPipe() {
		pis = new PipedInputStream();
		pos = new PipedOutputStream();
		try {
			pos.connect(pis);
		} catch (IOException e1) {
			e1.printStackTrace();
		}
	}
	/**
	 * Method for get PipedInputStream getPis
	 * 
	 * @return PipedInputStream getPis
	 */
	public PipedInputStream getPis() {
		return pis;
	}
	/**
	 * Method for get PipedOutputStream
	 * 
	 * @return PipedOutputStream
	 */
	public PipedOutputStream getPos() {
		return pos;
	}
	
	
	

}
